Summary: TCP/IP traffic logger capable of logging TCP, UDP and ICMP.
Name: iplog
Version: 2.2.3
Release: fr1
Serial: 1
Copyright: GPL
Group: Applications/System
Source: http://download.sourceforge.net/ojnk/%{name}-%{version}.tar.bz2
Source1: iplog.init
Source2: iplog.conf
URL: http://ojnk.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: libpcap >= 0.4

%description
iplog's capabilities include the ability to detect TCP port
scans, TCP null scans, FIN scans, UDP and ICMP "smurf" attacks,
bogus TCP flags (used by scanners to detect the operating system in use), 
TCP SYN scans, TCP "Xmas" scans, ICMP ping floods, UDP scans, and IP
fragment attacks.

iplog is able to run in promiscuous mode and monitor traffic to all hosts
on a network.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall
mkdir %{buildroot}%{_sysconfdir}
touch %{buildroot}%{_sysconfdir}/iplog.conf
install -D -m 755 %{SOURCE1} %{buildroot}/etc/init.d/iplog
install -D -m 600 %{SOURCE2} %{buildroot}%{_sysconfdir}/iplog.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog example-iplog.conf NEWS README
%config(noreplace) %{_sysconfdir}/iplog.conf
/etc/init.d/iplog
%{_sbindir}/iplog
%{_mandir}/man5/iplog.conf.5*
%{_mandir}/man8/iplog.8*

%changelog
* Fri Apr 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuit for Red Hat 7.1.
- Spec file cleanup, new init script and bzip2'd source file.

* Thu Jan  4 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 2.2.3
- Added an init script

* Fri Nov 24 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release

